#ifndef __SYS_CURSOR_H
#define __SYS_CURSOR_H

#ifndef __RELATION_H
#include <relation.h>
#endif

class TSystem_cursor : public TCursor
{
  virtual TRecnotype buildcursor(TRecnotype rp);

public:

  void mark_deleted(bool deleted = FALSE);
  void recall() { mark_deleted(FALSE);}
  TSystem_cursor(TRelation* f, const char* filter = "", int key = 1, TRectype* from = NULL, TRectype* to = NULL) : TCursor(f, filter, key, from, to) {}
  virtual ~TSystem_cursor() {}
};

#endif
// ** EOF syscursor.h

